#include "interrupt.h"
#include "vga.h"
#include "io.h"

// Need GCC > 6
__attribute__((interrupt)) void keyboard_handler(struct interrupt_frame *frame)
{
        printString("Keyboard!", RED, BLACK, 0, 7);
        char c = 0;
        if (inb(0x60) != c) {
                c = inb(0x60);
                if (c > 0)
                        printChar(c, RED, BLACK, 0, 8);
        }
        (void)frame;
}

__attribute__((interrupt)) void timer_handler(struct interrupt_frame *frame)
{
        printString("Timer!", RED, BLACK, 0, 9);
        (void)frame;
}
